Retrieve batch

Use this method to retrieve information about a batch. **Note:** To retrieve a batch, you need its batchId. If you don't have the batchId, use our [List Batches](https://docs.payroc.com/api/schema/reporting/settlement/list-batches) method to search for the batch. Our gateway returns the following information about the batch: - Transaction information, including the number of transactions and total value of sales. - Merchant information, including the merchant ID (MID) and the processing account that the batch is associated with.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

batchIdintegerRequired
Unique identifier that we assigned to the batch.

Response

Successful request. Returns the requested batch.
batchIdintegerOptional
Unique identifier that we assigned to the batch.
datedateOptional

Date that the merchant submitted the batch. The format of this value is YYYY-MM-DD.

createdDatedateOptional

Date that we created a record for the batch. The format of this value is YYYY-MM-DD.

lastModifiedDatedateOptional

Date that the batch was last changed. The format of this value is YYYY-MM-DD.

saleAmountlongOptional
Total value of sales in the batch. We return the value in the currency's lowest denomination, for example, cents.
heldAmountlongOptional
Total value of authorizations in the batch. We return the value in the currency's lowest denomination, for example, cents.
returnAmountlongOptional
Total value of returns in the batch. We return the value in the currency's lowest denomination, for example, cents.
transactionCountlongOptional
Total number of transactions in the batch.
currencystringOptional

Currency of the transactions in the batch. The value for the currency follows the ISO 4217 standard.

merchantobjectOptional
Object that contains information about the merchant.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error